Subject: bug#45186: Emacs master: build broken by spurious message ".../c-by.elc failed to provide feature `semantic/bovine/c-by"

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 12 Dec 2020 12:58:07 +0100

Alan Mackenzie <[email-masked]> writes:

> I do a git status, and notice amongs my untracked files list:
>
>         lisp/cedet/semantic/wisent/java-tags-wy.el
> 	lisp/cedet/srecode/srecode-template-wy.el
>
> , so I've deleted these.  It hasn't helped.

[...]

> I don't understand how Emacs is building for everybody else but not me.
> I've tried reconfiguring my Emacs with no options to ./configure.  This
> hasn't helped either.
>
> Perhaps this conversation would be better on emacs-devel.  Anyhow thanks
> for your patience in reading this miserable post!

:-)

I'd suggest pulling down a clean Emacs tree to see whether the problem
is present there, too...  or perhaps use a "make extraclean" (I think
that's the target that'll remove everything, even more than "bootstrap")
and see whether that helps.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no